Package: org.codehaus.groovy.classgen.asm

## [Java] Class MethodCallerMultiAdapter

- org.codehaus.groovy.classgen.asm.MethodCallerMultiAdapter

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `MAX_ARGS` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)` @param methodVisitor
    `` | `static MethodCallerMultiAdapter` | `newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final int MAX_ARGS

  - ### Method Detail

    - #### public void call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)

      Parameters:
        methodVisitor
        `numberOfArguments` - a value >0 describing how many arguments are additionally used for the method call
        safe
        spreadSafe

    - #### public static MethodCallerMultiAdapter newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)